@font-face {
  font-family: 'Goma';
  src: url('fonts/gomarice_goma_block.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'SquareAntiqua';
  src: url('fonts/Square\ Antiqua/SquareAntiqua-Book.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

body {
  font-family: var(--font);
  background-color: var(--background-color-2);
  background-size: 100% 30%;
  background-position: center top;
  background-attachment: scroll;
  background-repeat: repeat-y;
  margin: 0px;
  height: 90vh;
  /* don't overflow */
  overflow: hidden;
}

#game-banner {
  width: 100%;
  height: 4vh;
  min-height: 12px;
  
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;

  box-sizing: border-box;
  font-family: var(--font);
  background-color: var(--background-color);
  color: var(--text-color);
  border-bottom: 2px solid var(--text-color);

  padding: 0.5vh 1vw;
  z-index: 1000;
}


.controls {
  display: flex;
  align-items: center;
  gap: 15px;
}

.control-btn {
  font-family: var(--font);
  background-color: transparent;
  border: 2px solid var(--primary-color);
  color: var(--button-color);
  padding: 2px 8px;
  font-size: 12px;
  cursor: pointer;
  outline: none;
  height: 80%;
  transition: background-color 0.2s, color 0.2s;
}

.control-btn:hover {
  background-color: var(--primary-color);
  color: var(--button-color);
}

.control-btn:active {
  background-color: var(--primary-color);
  color: var(--button-color);
  transform: scale(0.98);
}
